Key

Merge keys

Merge source keys from one story to another for a specific language. Upserts translations and optionally deletes the source story.

POST
/api/v2/keys/merge

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/keys/merge" \  -H "Content-Type: application/json" \  -d '{    "fromStoryId": 1,    "toStoryId": 2,    "languageId": 1,    "data": [      {        "sourceId": 123      }    ]  }'
{  "changedKeys": 5,  "publishedChunks": 1}
{  "errors": {    "id": "Invalid UUID format"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}